Skip to main content
Version: 1.0.3

Instances

Instances are virtual machines in the Massed Compute GPU Cloud. This section covers API endpoints for managing instances.

List Instance Types

Retrieves a detailed list of the instance types offered by Massed Compute GPU Cloud, including availability in different regions.

GET /instance-types

Response

  • 200: Successful response example
{
"data": {
"gpu_1x_a100": {
"instance_type": {
"name": "string",
"description": "string",
"price_cents_per_hour": number,
"specs": {
"vcpus": number,
"memory_gib": number,
"storage_gib": number
}
},
"regions_with_capacity_available": [
{
"name": "string",
"description": "string"
}
]
},
"gpu_1x_a6000": {
"instance_type": {
"name": "string",
"description": "string",
"price_cents_per_hour": number,
"specs": {
"vcpus": number,
"memory_gib": number,
"storage_gib": number
}
},
"regions_with_capacity_available": [
{
"name": "string",
"description": "string"
}
]
}
}
}
  • 401: Unauthorized
  • 403: Forbidden

List Running Instances

Retrieves a detailed list of running instances.

GET /instances

Response

  • 200: Successful response example
{
"data": [
{
"id": "string",
"name": "string",
"ip": "string",
"status": "string",
"ssh_key_names": ["string"],
"file_system_names": ["string"],
"region": {
"name": "string",
"description": "string"
},
"instance_type": {
"name": "string",
"description": "string",
"gpu_description": "string",
"price_cents_per_hour": number,
"specs": {
"vcpus": number,
"memory_gib": number,
"storage_gib": number,
"gpus": number
}
},
"hostname": "string"
}
]
}
  • 401: Unauthorized
  • 403: Forbidden

Get Instance Details

Retrieves details of a specific instance, including its running status.

GET /instances/[id]

Parameters

  • id (path): The unique identifier (ID) of the instance

Response

  • 200: Successful response example
{
"data": {
"id": "string",
"name": "string",
"ip": "string",
"status": "string",
"ssh_key_names": ["string"],
"file_system_names": ["string"],
"region": {
"name": "string",
"description": "string"
},
"instance_type": {
"name": "string",
"description": "string",
"gpu_description": "string",
"price_cents_per_hour": number,
"specs": {
"vcpus": number,
"memory_gib": number,
"storage_gib": number,
"gpus": number
}
},
"hostname": "string"
}
}
  • 401: Unauthorized
  • 403: Forbidden
  • 404: Not Found

Launch Instances

Launches one or more instances of a given instance type.

POST /instance-operations/launch

Request Body

{
"region_name": "string",
"instance_type_name": "string",
"ssh_key_names": ["string"],
"file_system_names": ["string"],
"quantity": number,
"name": "string"
}

Response

  • 200: Successful response example
{
"data": {
"instance_ids": ["string"]
}
}
  • 400: Bad Request
  • 401: Unauthorized
  • 403: Forbidden
  • 404: Not Found
  • 500: Internal Server Error

Terminate Instances

Terminates one or more instances.

POST /instance-operations/terminate

Request Body

{
"instance_ids": ["string"]
}

Response

  • 200: Successful response
  • 400: Bad Request
  • 401: Unauthorized
  • 403: Forbidden
  • 404: Not Found
  • 500: Internal Server Error

Restart Instances

Restarts one or more instances.

POST /instance-operations/restart

Request Body

{
"instance_ids": ["string"]
}

Response

  • 200: Successful response
{
"data": {
"restarted_instances": [
{
"id": "string",
"name": "string",
"ip": "string",
"status": "string",
"ssh_key_names": ["string"],
"file_system_names": ["string"],
"region": {
"name": "string",
"description": "string"
},
"instance_type": {
"name": "string",
"description": "string",
"gpu_description": "string",
"price_cents_per_hour": number,
"specs": {
"vcpus": number,
"memory_gib": number,
"storage_gib": number,
"gpus": number
}
},
"hostname": "string"
}
]
}
}
  • 400: Bad Request
  • 401: Unauthorized
  • 403: Forbidden
  • 404: Not Found
  • 500: Internal Server Error